> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate fee

> Estimate the network fee for transferring a specific asset from a wallet.



## OpenAPI

````yaml /openapi.json post /wallet/fee
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /wallet/fee:
    post:
      tags:
        - Wallet
      summary: Estimate fee
      description: >-
        Estimate the network fee for transferring a specific asset from a
        wallet.
      operationId: estimateWalletFee
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - wallet_id
                - amount
                - asset
              properties:
                wallet_id:
                  type: string
                  description: Unique identifier for the wallet
                  pattern: ^[a-f0-9]{24}$
                amount:
                  type: number
                  minimum: 0
                  exclusiveMinimum: true
                  description: Transfer amount to estimate fee for
                asset:
                  allOf:
                    - $ref: '#/components/schemas/AssetCode'
            example:
              wallet_id: 68d4f2a91eb37c15b8e3a4f7
              amount: 10
              asset: base:usdc
      responses:
        '200':
          description: Wallet transfer fee estimated successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    type: object
                    required:
                      - estimated_fee
                    properties:
                      estimated_fee:
                        type: number
                        description: Estimated network fee in USD
              example:
                success: true
                message: Wallet transfer fee estimated successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  estimated_fee: 0.18316
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  schemas:
    AssetCode:
      type: string
      enum:
        - base:usdc
        - solana:usdc
        - solana:usdt
        - ethereum:usdc
        - ethereum:usdt
        - polygon:usdc
        - polygon:usdt
        - bsc:usdc
        - bsc:usdt
        - arbitrum:usdc
        - optimism:usdc
        - gnosis:usdc
        - gnosis:usdt
        - arbitrum:usdt
        - avalanche:usdc
        - monad:usdc
        - optimism:usdt
        - monad:usdt
        - plasma:usdt
        - avalanche:usdt
        - tron:usdt
        - linea:usdt
        - mantle:usdt
        - hyperevm:usdt
        - berachain:usdt
        - linea:usdc
        - berachain:usdc
        - sonic:usdc
        - base:cngn
        - bsc:cngn
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````